| Home | Libraries | People | FAQ | More

## Function template trim_right_copy

boost::algorithm::trim_right_copy — Right trim.

## Synopsis

    // In header: <boost/algorithm/string/trim.hpp>

    template<typename SequenceT>
      SequenceT trim_right_copy(const SequenceT & Input,
                                const std::locale & Loc = std::locale());

## Description

Remove all trailing spaces from the input. The result is a trimmed copy of the input

| Note
This function provides the strong exception-safety guarantee

Parameters:

`Input` | An input sequence
`Loc` | A locale used for 'space' classification

Returns: | A trimmed copy of the input